<template>
  <div>
    <b-input-group class="input-group-flat">
      <template #append>
        <span class="input-group-text pl-2 pr-2">
          <a
            v-b-tooltip.hover.right="{ variant: 'dark' }"
            title="search"
            class="link-secondary"
          >
            <SearchIcon class="icon-xxs" />
          </a>
        </span>
      </template>
      <b-form-input
        v-model="search"
        data-cy="search-data-input"
        type="text"
        :placeholder="placeholder"
        autocomplete="off"
        @input="onInput"
      ></b-form-input>
    </b-input-group>
    <div class="form-check-description search-results-stats-small">
      <div class="results-found">
        Showing
        <span class="search-start-count">{{ first }}</span>
        -
        <span class="search-end-count">{{ last }}</span>
        of
        <span class="search-total-count">{{ total }}</span>
        {{ itemType }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    placeholder: {
      type: String,
      default: 'Search in projects...',
    },
    itemType: {
      type: String,
      default: 'projects',
    },
    searchText: {
      type: String,
      default: '',
    },
    first: {
      type: Number,
      default: 0,
    },
    last: {
      type: Number,
      default: 0,
    },
    total: {
      type: Number,
      default: 0,
    },
  },
  data() {
    return { search: '' };
  },
  methods: {
    onInput() {
      this.$emit('search', this.search);
    },
  },
};
</script>
